> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synctera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Reward template

> Get a reward template by ID.




## OpenAPI

````yaml openapi-v1.json get /reward_templates/{reward_template_id}
openapi: 3.0.3
info:
  description: >-
    This is the official reference documentation for Synctera APIs. If you need
    something specific or have a question, <a class='text-blue-600'
    href='https://synctera.com/contact-us' target='_blank'
    rel='noreferrer'>contact us</a>.</p>
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: Synctera API
  version: 1.181.0
servers:
  - description: Production
    url: https://api.synctera.com/v1
  - description: Sandbox (no real world financial impact)
    url: https://api-sandbox.synctera.com/v1
security:
  - bearerAuth: []
tags:
  - description: |
      Requests to create and manage Rewards
    name: Rewards (beta)
  - description: Requests to generate simulated webhooks
    name: Card Webhook Simulations
  - description: >-
      Testing endpoints to simulate in-store cash deposits. Available in sandbox
      environments only.
    name: In-Store Cash Deposit Simulations
  - description: Create and manage spending controls
    name: Spend Controls (beta)
  - description: Rates
    name: Rates
  - description: Requests to create and manage webhooks
    name: Webhooks
  - description: Tenant Config
    name: Tenant Config
  - description: FDX authentication and data transfer using Plaid Core Exchange
    name: Plaid Core Exchange (beta)
  - description: Create and manage disputes
    name: Disputes
  - description: Requests to simulate card payments
    name: Card Simulations
  - description: |
      Manage fee products and fee configs for automated fee collection
    name: Fee Products
  - description: Apple Pay APIs
    name: Apple Pay
  - description: Lending Config
    name: Lending Config
  - description: Payments related to lending accounts
    name: Payments
  - description: Manage negative balance processes
    name: Negative Balance
  - description: Configuration for mapping LoanPro events to Payola transaction parameters
    name: LoanPro Transaction Event Config
  - description: Requests to generate simulated transactions
    name: Cash Transaction Simulations (alpha)
  - description: Create and manage transactions
    name: Transactions (beta)
  - description: Autopay payment records for billing periods
    name: Autopays
  - description: Create and manage accounts
    name: Accounts
  - description: |
      Requests to create and manage batch payments
    name: Batch Payments (alpha)
  - description: Billing rates
    name: Billing Rates
  - description: Bank Delinquency Configuration
    name: Bank Delinquency Configuration
  - description: >-
      Rules that map a posted payment transaction (bank/partner + transaction
      attributes) to a regulatory payment code. NULL match columns act as
      wildcards.
    name: Payment Code Configuration
  - description: Create and manage Synctera Pay templates
    name: SyncteraPay
  - description: |
      Manage reward products and reward configs for automated cashback rewards
    name: Reward Products
  - description: Requests to create and manage card disputes
    name: Card Disputes
  - description: >-
      Per bank/partner account-type mapping to FFIEC collateral codes used for
      regulatory call report furnishment.
    name: Collateral Code Configuration
  - description: Bulk card issuance
    name: Bulk Issuance
  - description: Autopay configuration management for lending accounts
    name: Autopay Configs
  - description: Request to create and manage exclusions
    name: Statements
  - description: Create and manage barcodes for in-store cash deposits
    name: In-Store Cash Deposits
  - description: Customer Service Details for disputes and billing inquiries
    name: Customer Service Details
  - description: Create a credit application.
    name: Applications (beta)
  - description: Requests to generate simulated transactions
    name: Card Transaction Simulations
  - description: Billing period summaries
    name: Billing Period Summaries
  - description: Requests to issue and manage cards
    name: Cards
  - description: Push and pull from cards
    name: External Cards
  - description: |
      Requests to create and manage fees
    name: Fees (beta)
paths:
  /reward_templates/{reward_template_id}:
    get:
      tags:
        - Rewards
      summary: Get a Reward template
      description: |
        Get a reward template by ID.
      operationId: getRewardTemplate
      parameters:
        - $ref: '#/components/parameters/reward_template_id_path'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reward_template_response'
          description: Returned reward template
        '400':
          $ref: '#/components/responses/bad_request'
        '401':
          $ref: '#/components/responses/unauthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '404':
          $ref: '#/components/responses/not_found'
        '500':
          $ref: '#/components/responses/internal_server_error'
components:
  parameters:
    reward_template_id_path:
      description: The unique identifier of a reward template
      in: path
      name: reward_template_id
      required: true
      schema:
        example: 64438afd-fa20-4010-a573-2bbdca77cdb6
        format: uuid
        type: string
  schemas:
    reward_template_response:
      allOf:
        - $ref: '#/components/schemas/reward_template_base'
        - properties:
            creation_time:
              description: The timestamp representing when the reward template was created
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            id:
              description: The ID of the reward template.
              example: 85943c51-e4ff-4e57-9558-08cab6b96364
              format: uuid
              type: string
            last_updated_time:
              description: >-
                The timestamp representing when the reward template was last
                modified
              example: '2010-05-06T12:23:34.321Z'
              format: date-time
              readOnly: true
              type: string
            subtype:
              $ref: '#/components/schemas/reward_subtype'
            tenant:
              $ref: '#/components/schemas/tenant_id'
      required:
        - creation_time
        - currency
        - id
        - internal_account_id
        - is_enabled
        - last_updated_time
        - subtype
        - tenant
      title: reward template response object
      type: object
    reward_template_base:
      properties:
        amount:
          description: >
            The default amount of the reward in ISO 4217 minor currency units,
            e.g. cents.

            The internal account will be debited this amount.

            Can be overridden when creating a reward.
          example: 1000
          type: integer
        currency:
          description: >-
            currency for the reward, as a three character ISO 4217 alphabetic
            currency code.
          example: USD
          type: string
        description:
          description: The description of the reward template.
          example: Referral Reward
          type: string
        internal_account_id:
          description: >-
            The ID of default internal_account to use as the source of the
            reward transfer. Cannot be a system internal account.
          example: 42943c51-e4ff-4e57-9558-08cab6b963c8
          format: uuid
          type: string
        is_enabled:
          description: |
            Whether the reward template is enabled.
            If false, rewards cannot be created from this template.
          example: true
          type: boolean
        metadata:
          $ref: '#/components/schemas/metadata'
      title: Common properties for reward template schemas
      type: object
    reward_subtype:
      description: |
        A short string representing the sub-type of the reward.
        This will be used as the subtype of the resulting transaction.
      enum:
        - ACCOUNT_OPENING_BONUS
        - ACCOUNT_OPENING_BONUS_REVERSAL
        - CASHBACK
        - CASHBACK_REVERSAL
        - INTEREST_RATE_BONUS
        - INTEREST_RATE_BONUS_REVERSAL
        - LOAN_INTEREST_RATE_REDUCTION
        - LOAN_INTEREST_RATE_REDUCTION_REVERSAL
        - MANUAL_ADJUSTMENT
        - MANUAL_ADJUSTMENT_REVERSAL
        - MILES
        - MILES_REVERSAL
        - MISCELLANEOUS
        - MISCELLANEOUS_REVERSAL
        - POINTS
        - POINTS_REVERSAL
        - REFERRAL_BONUS
        - REFERRAL_BONUS_REVERSAL
      type: string
    tenant_id:
      description: |
        The id of the tenant containing the resource.
      example: abcdef_ghijkl
      type: string
    error:
      description: Synctera error responses in API v1 implement a custom error schema.
      properties:
        code:
          description: >
            A machine-readable string that identifies the error for programmatic
            use.
          example: BAD_REQUEST_BODY
          type: string
        detail:
          description: |
            A human-readable string explaining this particular error.
          example: 'Missing required fields: first_name, dob'
          type: string
        status:
          description: HTTP status code for this response
          example: 400
          type: integer
      title: Synctera error response
      type: object
    metadata:
      description: >
        Optional field to store additional information about the resource.
        Intended to be used by the integrator to store non-sensitive data.
      type: object
  responses:
    bad_request:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Bad request
    unauthorized:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Unauthorized
    forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Forbidden
    not_found:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Resource not found
    internal_server_error:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
      description: Internal server error
  securitySchemes:
    bearerAuth:
      bearerFormat: api_key
      scheme: bearer
      type: http

````